propellor-5.3.3: property-based host configuration management in haskell

Maintainer | 2016 Evan Cofsky <evan@theunixman.com>
Safe Haskell | None
Language | Haskell98

Propellor.Property.ZFS.Properties

Description

Functions defining zfs Properties.

Synopsis

- type ZFSOS = Linux + FreeBSD
- zfsExists :: ZFS -> Property ZFSOS
- zfsSetProperties :: ZFS -> ZFSProperties -> Property ZFSOS

# Documentation

type ZFSOS = Linux + FreeBSD Source #

OS's that support ZFS

zfsExists :: ZFS -> Property ZFSOS Source #

Will ensure that a ZFS volume exists with the specified mount point. This requires the pool to exist as well, but we don't create pools yet.

zfsSetProperties :: ZFS -> ZFSProperties -> Property ZFSOS Source #

Sets the given properties. Returns True if all were successfully changed, False if not.